Bug 89340 - (NET NE2000) Ethernet adapter works, but Linux can't use it
(NET NE2000) Ethernet adapter works, but Linux can't use it
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-22 13:04 EDT by Terry Lemons
Modified: 2013-07-02 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Terry Lemons 2003-04-22 13:04:44 EDT
Description of problem:
Hi

Thanks, in advance, for the help!

SUMMARY:  The network adapter doesn't work, even though Linux starts eth0 
without error.
 
I know that the hardware works because I have both Windows 95 and Red Hat Linux 
7.2 installed in a dual-boot configuration on this system.  When I boot Windows 
95, it recognizes the D-Link DE-220 Ethernet card, requests and loads an IP 
address via DHCP, and uses the Ethernet and IP with no problems.
 
When I boot Red Hat Linux 7.2, the network "doesn't work".  I mean that:
 
when I start Linux, I see the message, "Bringing up interface eth0:".
There it pauses for at least 30 seconds.  Then, I see: "Determining IP
 information for eth0... failed."
 
 [root@localhost floppy]# ifconfig -a
 eth0      Link encap:Ethernet  HWaddr 00:80:C8:E9:37:A6  
           BROADCAST  MTU:1500  Metric:1
           RX packets:0 errors:0 dropped:0 overruns:0 frame:0
           TX packets:0 errors:2 dropped:0 overruns:0 carrier:0
           collisions:0 txqueuelen:100 
           RX bytes:0 (0.0 b)  TX bytes:2360 (2.3 Kb)
           Interrupt:5 Base address:0x240 
 
 lo        Link encap:Local Loopback  
           inet addr:127.0.0.1  Mask:255.0.0.0
           UP LOOPBACK RUNNING  MTU:16436  Metric:1
           RX packets:8 errors:0 dropped:0 overruns:0 frame:0
           TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
           collisions:0 txqueuelen:0 
           RX bytes:564 (564.0 b)  TX bytes:564 (564.0 b)
 
 [root@localhost floppy]# cat /proc/interrupts 
            CPU0       
   0:      65709          XT-PIC  timer
   1:        320          XT-PIC  keyboard
   2:          0          XT-PIC  cascade
   5:          0          XT-PIC  NE2000
   6:         22          XT-PIC  floppy
   8:          1          XT-PIC  rtc
  11:          7          XT-PIC  aha1542
  12:         23          XT-PIC  PS/2 Mouse
  14:       9522          XT-PIC  ide0
 NMI:          0 
 ERR:          0
 [root@localhost floppy]# cat /proc/ioports 
 0000-001f : dma1
 0020-003f : pic1
 0040-005f : timer
 0060-006f : keyboard
 0070-007f : rtc
 0080-008f : dma page reg
 00a0-00bf : pic2
 00c0-00df : dma2
 00f0-00ff : fpu
 01f0-01f7 : ide0
 0213-0213 : isapnp read
 0240-025f : eth0
 02f8-02ff : serial(auto)
 0330-0333 : aha1542
 03c0-03df : vga+
 03f0-03f5 : floppy
 03f6-03f6 : ide0
 03f7-03f7 : floppy DIR
 03f8-03ff : serial(auto)
 0a79-0a79 : isapnp write
 [root@localhost floppy]# ping 192.168.0.1\ 
 connect: Network is unreachable
 [root@localhost floppy]# 
 
 [root@localhost floppy]# tail /var/log/messages
 Apr  6 21:25:54 localhost kernel: NE*000 ethercard probe at 0x240: 00 80 c8 e9 
37 a6
 Apr  6 21:25:54 localhost kernel: eth0: NE2000 found at 0x240, using IRQ 5.
 Apr  6 21:25:54 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
 Apr  6 21:25:54 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
 Apr  6 21:25:56 localhost autofs: automount startup succeeded
 Apr  6 21:26:04 localhost sendmail: sendmail startup succeeded
 Apr  6 21:26:05 localhost gpm: gpm startup succeeded
 Apr  6 21:26:07 localhost crond: crond startup succeeded
 Apr  6 21:26:08 localhost anacron: anacron startup succeeded
 Apr  6 21:26:10 localhost atd: atd startup succeeded
 [root@localhost floppy]# exit
 
 [root@localhost network-scripts]# cat ifcfg-eth0 
DEVICE=eth0
ONBOOT=yes
BOOTPROTO=dhcp
[root@localhost network-scripts]#

See any problems?

Any other information I can provide?  I must be close to a solution, but I'm 
not sure what else to try.

thanks
tl

Version-Release number of selected component (if applicable): n/a


How reproducible: every time


Steps to Reproduce:
1.Install Red Hat Linux V7.2 from CDs
2.reboot
3.during boot, eth0 can not load an IP address via DHCP
    
Actual results:
Linux came up and seems completely functional, except that the network doesn't 
work.

Expected results:
I was expecting eth0 to load an IP address via DHCP, and allow IP networking to 
occur.

Additional info:
I did try hard-coding an IP address, but this still disn't cause eth0 to work.
Comment 1 Michael Fulbright 2003-04-22 14:48:47 EDT
This should be something you can fix with redhat-config-network.
Comment 2 Harald Hoyer 2003-04-23 05:41:11 EDT
 Apr  6 21:25:54 localhost kernel: eth0: NE2000 found at 0x240, using IRQ 5.
 Apr  6 21:25:54 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
 Apr  6 21:25:54 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out

 TX packets:0 errors:2 dropped:0 overruns:0 carrier:0

seems like a hardware problem... nothing redhat-config-network can fix!

Maybe kernel can do s.th. about it?
Comment 3 Arjan van de Ven 2003-04-23 05:44:42 EDT
of course the kernel can't magically fix hardware harald, you know that, so
don't assign it then.
Comment 4 Harald Hoyer 2003-04-23 05:59:25 EDT
ok... redhat-config-network closes this bug... I cannot do anything about this!
Comment 5 Terry Lemons 2003-04-23 10:06:45 EDT
Hi

Thanks for the attention to this, but this is a dual-boot system, and the other 
operating system (Windows 95) has NO problem using this adapter.  This is not a 
hardware problem.

Thanks
tl
Comment 6 Bugzilla owner 2004-09-30 11:40:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.